%define apache_version 1.3.41
%define sslver 1.59

Summary:	The PHP5 HTML-embedded scripting language for use with apache-ssl
Name:		apache-ssl-mod_php
Version:	5.2.6
Release:	%mkrel 1
Group:		System/Servers
URL:		http://www.php.net/ 
License:	PHP License
Source1:	php.conf
Requires: 	perl
Requires:	apache-ssl >= %{apache_version}_%{sslver}
Requires:	php-ini
BuildRequires:	php-devel 
BuildRequires:	apache-ssl-devel >= %{apache_version}_%{sslver}
BuildRequires:	mm-devel
BuildRequires:	libxml2-devel
BuildRequires:	libgdbm-devel
BuildRequires:	perl
BuildRequires:	db4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it easy for
developers to write dynamically generated web pages. PHP also offers built-in
database integration for several commercial and non-commercial database
management systems, so writing a database-enabled web page with PHP is fairly
simple. The most common use of PHP coding is probably as a replacement for CGI
scripts. The mod_php module enables the Apache web server to understand and
process the embedded PHP language in web pages.

This package contains PHP version 4. You'll also need to install the Apache web
server.

%prep

%setup -c -T 
cp -dpR %{_usrsrc}/php-devel/sapi/apache/* .
cp -p %{_usrsrc}/php-devel/internal_functions.c .

%build

%{_sbindir}/httpsd-apxs -c -I. -I -I./main \
    `php-config --includes` \
    `xml2-config --cflags` \
    -I%{_usrsrc}/php-devel \
    -L%{_libdir} -lphp5_common -lpthread -lgdbm -lmm \
    -DHAVE_AP_COMPAT_H \
    php_apache.c sapi_apache.c mod_php5.c internal_functions.c -o mod_php.so

%install
rm -rf %{buildroot} 

# make some dirs
install -d %{buildroot}%{_libdir}/httpsd
install -d %{buildroot}%{_sysconfdir}/httpsd/conf

install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpsd/conf/php.conf
install -m0755 mod_php.so %{buildroot}%{_libdir}/httpsd/

cat > README.MDK << EOF
a p a c h e - s s l - m o d _ p h p 5
-----------------------------------

This is an experimental package.

You must manually add %{_sysconfdir}/httpsd/conf/php.conf into
the %{_sysconfdir}/httpsd/conf/httpsd.conf file.

-- 
Regards // Oden Eriksson

EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.MDK
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpsd/conf/php.conf
%attr(0755,root,root) %{_libdir}/httpsd/mod_php.so


%changelog
* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 5.2.6-1mdv2009.0
+ Revision: 236774
- rebuilt for php-5.2.6

* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.2.5-2mdv2009.0
+ Revision: 226158
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.5-1mdv2008.1
+ Revision: 112108
- fix deps
- rebuilt against php-5.2.5

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.4-1mdv2008.0
+ Revision: 81675
- rebuilt against new apache-1.x and php-5.x

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.3-1mdv2008.0
+ Revision: 40123
- fix deps
- Import apache-ssl-mod_php



* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.3-1mdv2008.0
- initial Mandriva package
